Bug 201612 - fix Xv driver in -amd driver
fix Xv driver in -amd driver
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-amd (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
: Reopened
Depends On:
Blocks: OLPCTracker
  Show dependency treegraph
 
Reported: 2006-08-07 16:26 EDT by Christopher Blizzard
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-01 13:32:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Christopher Blizzard 2006-08-07 16:26:56 EDT
It's apparently all busted.  Jordan Crouse has more details.
Comment 1 Adam Jackson 2006-08-13 22:19:58 EDT
fixed in rawhide.
Comment 2 Christopher Blizzard 2006-08-13 22:37:56 EDT
The Xv bugs are still there.  This is a tracker bug to note that it's something
that we need to make sure is fixed down the road.
Comment 3 Jordan Crouse 2006-08-15 15:33:18 EDT
Traditionally, the GX pitch must be a power of 2 based to allow us to compress
the data to limit bandwidth usage when we send the video to the video processor.
 That worked out to a pitch of 8192 when the OLPC board was in 1200x900 mode -
using up 7.6 of the 8MB of memory available.  Thats why video wasn't working in
Xv mode - the Xv driver couldn't allocate the offscreen memory it needed. 
Luckily, when compression is turned off, we are free from the power of 2
requirement. 

Commit 38f3d21beba13daba4844a129f3c268b5f291fb1 in the xf86-video-amd driver on
freedesktop.org adjusts the pitch to a sane value when compression is turned off
in the xorg.conf file.  When we make the pitch linear, that saves us 3Mb -
giving us plenty of room for Xv to do its thing.

Apply the patch, and set option "NoCompression" "true" in the xorg.conf.

Comment 4 Christopher Blizzard 2006-09-01 13:32:48 EDT
Jordan fixed this upstream in the amd driver.

Note You need to log in before you can comment on or make changes to this bug.